#ifndef __DUALMAGNUM_H__
#define __DUALMAGNUM_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "bullet.h"

class EXPORT_FROM_DLL DualMagnum : public BulletWeapon
{
public:
	CLASS_PROTOTYPE( DualMagnum );

	qboolean ammosynced; // for syncing ammo with a single magnum

	DualMagnum::DualMagnum();
	virtual void ReadyWeapon( void );
	virtual void Shoot( Event *ev );
	virtual void SecondaryUse( Event *ev );
	virtual qboolean Drop( void );

	virtual void Archive( Archiver &arc );
	virtual void Unarchive( Archiver &arc );
};

inline EXPORT_FROM_DLL void DualMagnum::Archive( Archiver &arc )
{
	BulletWeapon::Archive( arc );

	arc.WriteBoolean( ammosynced );
}

inline EXPORT_FROM_DLL void DualMagnum::Unarchive( Archiver &arc )
{
	BulletWeapon::Unarchive( arc );

	arc.ReadBoolean( &ammosynced );
}

#endif /* dualmagnum.h */
